<?php

namespace bird\interfaces;

interface bird_flash_calls_client_i
{
    public function createFlashCall(string $workspaceId, string $channelId, array $payload): array|object|null;

    public function listFlashCalls(string $workspaceId, string $channelId, array $query = []): array|object|null;

    public function getFlashCall(string $workspaceId, string $channelId, string $callId): array|object|null;

    public function endFlashCall(string $workspaceId, string $channelId, string $callId, array $payload = []): array|object|null;

    public function hangupFlashCall(string $workspaceId, string $channelId, array $payload = []): array|object|null;
}

